<?php 
/*
	15 Feb 2018 . LI Juan Pablo Sanchez Bracamontes . Formulario creado para visualizar la agenda del módulo de archivo de consulta externa	
	A este formulario debe llegar almenos 2 parametros: [clave_pac], [centro_sal], opcionalmente recibe 7 parametros: [clues_origen], [id_solicitud], [ver_como_ventana], [btngrabar], [btnborrar], [btninsertar], [btndetalles]



		[clave_pac]			Es el identificador del paciente que se pretende agendar.
		[centro_sal]		Es el identificador del Centro de Salud de la agenda a reservar.
		[clues_origen]		Es el identificador de la unidad médica que dio origen a la solicitud.
		[id_solicitud]		Es el identificador de la solicitud de referenciación del módulo de referencias (opcional -No Determinado-).
		[ver_como_ventana]	Es un atributo que determinará si el formulario será listado como formulario a ventana completa o como parte de otro componente (opcional -01-, donde el valor por defecto es 1).
		[btngrabar]	        Es un atributo que determinará si en el formulario será mostrado el botón de Grabar Cita.
		[btnborrar]	        Es un atributo que determinará si en el formulario será mostrado el botón de Borrar Cita.
		[btninsertar]	    Es un atributo que determinará si en el formulario será mostrado el botón de Insertar Cita.
		[btndetalles]	    Es un atributo que determinará si en el formulario será mostrado el botón de Detalles de la Cita.
		
		[centro_sal_ref]	Es el identificador del Centro de Salud de la agenda a reservar.
		[sp_exec]           Es opcional, en este parametro se debe proporcionar el nombre del proceso a ejecutar tras recuperar el id_cita del espacio agendado, es necesario que sea un proceso que reciba solo el parametro del id_cita y solo proporcionar el nombre

		[btnVacunacion]		Es un atributo que determinará si en el formulario será mostrado el botón de Vacunacion. 31 Dic 20

		[btnReporteVacunacion]		Es un atributo que determinará si en el formulario será mostrado el botón para generar reporte de vacunacion. 08 Ene 2021
		
		[id_doc] Es el identificador del médico que iniciará la consulta. 28 Nov 2022
		[id_med_con] Es el identificador de la agenda-médico que iniciará la consulta. 28 Nov 2022
		[id_especialidad] Es el identificador de la especialidad-médico que iniciará la consulta. 28 Nov 2022
		[agendaConsulta] Es el indentificador que determina si la agenda se muestra desde Consulta Externa. 1: Archivo: 0 es sí  29 Nov 2022 
		
		[btnImprimirCita]		Es un atributo que determinará si en el formulario será mostrado el botón para imprimir cita agendada. 23 Jun 2023



Ruta de pruebas: 
http://192.168.1.112/laravel/public/Agenda_solicitarCita?centro_sal=1&clave_pac=1847056999&id_solicitud=6&clues_origen=CMSSA001110&btngrabar=1&btnborrar=1&ver_como_ventana=1&btndetalles=1&btninsertar=1
*/

$btngrabar = ''; $btnborrar = ''; $btninsertar = ''; $btndetalles = '';
$centro_sal_ref=''; $sp_exec = '';  $agendaConsulta = ''; $btnImprimirCita = '';
if(isset($_GET['btnImprimirCita']))$btnImprimirCita = $_GET['btnImprimirCita']; if(isset($_POST['btnImprimirCita']))$btnImprimirCita = $_POST['btnImprimirCita'];

if(isset($_GET['btngrabar']))$btngrabar = $_GET['btngrabar']; if(isset($_POST['btngrabar']))$btngrabar = $_POST['btngrabar'];
if(isset($_GET['btnborrar']))$btnborrar = $_GET['btnborrar']; if(isset($_POST['btnborrar']))$btnborrar = $_POST['btnborrar'];
if(isset($_GET['btninsertar']))$btninsertar = $_GET['btninsertar']; if(isset($_POST['btninsertar']))$btninsertar = $_POST['btninsertar'];
if(isset($_GET['btndetalles']))$btndetalles = $_GET['btndetalles']; if(isset($_POST['btndetalles']))$btndetalles = $_POST['btndetalles'];

if(isset($_GET['centro_sal_ref']))$centro_sal_ref = $_GET['centro_sal_ref']; if(isset($_POST['centro_sal_ref']))$centro_sal_ref = $_POST['centro_sal_ref'];

if(isset($_GET['sp_exec']))$sp_exec = $_GET['sp_exec']; if(isset($_POST['sp_exec']))$sp_exec = $_POST['sp_exec'];
if($sp_exec != '')$sp_exec = $sp_exec.'(valor);';

$Clave_Pac = ''; $Centro_Sal = ''; $Clues_Origen = ''; $Id_Solicitud = ''; $ver_como_ventana = '1'; $Id_Especialidad = ''; $id_doc = '';
if(isset($_GET['ver_como_ventana']))$ver_como_ventana = $_GET['ver_como_ventana']; if(isset($_POST['ver_como_ventana']))$ver_como_ventana = $_POST['ver_como_ventana'];

if(isset($_GET['clave_pac'])) $Clave_Pac = trim($_GET['clave_pac']); if(isset($_POST['clave_pac'])) $Clave_Pac = trim($_POST['clave_pac']);
if(isset($_GET['centro_sal'])) $Centro_Sal = trim($_GET['centro_sal']); if(isset($_POST['centro_sal'])) $Centro_Sal = trim($_POST['centro_sal']);

if(isset($_GET['clues_origen'])) $Clues_Origen = trim($_GET['clues_origen']); if(isset($_POST['clues_origen'])) $Clues_Origen = trim($_POST['clues_origen']);
if(isset($_GET['id_solicitud'])) $Id_Solicitud = trim($_GET['id_solicitud']); if(isset($_POST['id_solicitud'])) $Id_Solicitud = trim($_POST['id_solicitud']);

if(isset($_GET['btnVacunacion']))$btnVacunacion = $_GET['btnVacunacion']; if(isset($_POST['btnVacunacion']))$btnVacunacion = $_POST['btnVacunacion'];

if(isset($_GET['btnReporteVacunacion']))$btnReporteVacunacion = $_GET['btnReporteVacunacion']; if(isset($_POST['btnReporteVacunacion']))$btnReporteVacunacion = $_POST['btnReporteVacunacion'];

if(isset($_GET['agendaConsulta']))$agendaConsulta = $_GET['agendaConsulta']; if(isset($_POST['agendaConsulta']))$agendaConsulta = $_POST['agendaConsulta'];

$error_solicitud = '';
$subsec = '';
$Id_Especialidad= '';
 $disable = '';
 $disableObj = '0';
 $opcHidden = '';
$id_med_con ='';

if(isset($_GET['btnReporteVacunacion']))$btnReporteVacunacion = $_GET['btnReporteVacunacion']; if(isset($_POST['btnReporteVacunacion']))$btnReporteVacunacion = $_POST['btnReporteVacunacion'];



/*if($Clave_Pac < 1 || $Centro_Sal < 1){
	die("El formulario no ha recibido los controles mínimos necesarios");
} */

 

  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();

  $usuario = $_SESSION['operador'];
  $id_doc = $var->desencriptar_AES($usuario['id_doc'], $usuario['x']);
  $id_cita = '';
  $disableRadio = '';
  $Nombre =    $var->desencriptar_AES($usuario['nombre_user'], $usuario['x']);
    $Apellido1 = $var->desencriptar_AES($usuario['apellido_user_1er'], $usuario['x']);
    $Apellido2 = $var->desencriptar_AES($usuario['apellido_user_2do'], $usuario['x']);
    $Medico = trim($Nombre).' '.trim($Apellido1).' '.trim($Apellido2);
   	$Especialidad = $var->desencriptar_AES($usuario['especialidad'], $usuario['x']);
	$Centro_Sal = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
	$id_med_con = trim( $var->desencriptar_AES($usuario['id_med_con'], $usuario['x']) );
  $Centro_Sal_Refiere = '';

	//<----------------------------------signos vitales------------------------------------------------------>

 	$opcConsultarCitaUrg = ''; $agendaUrgencias='';
 	if(isset($_GET['opcConsultarCitaUrg']))$opcConsultarCitaUrg = $_GET['opcConsultarCitaUrg']; if(isset($_POST['opcConsultarCitaUrg']))$opcConsultarCitaUrg = $_POST['opcConsultarCitaUrg'];

	if(isset($_GET['agendaUrgencias']))$agendaUrgencias = $_GET['agendaUrgencias']; if(isset($_POST['agendaUrgencias']))$agendaUrgencias = $_POST['agendaUrgencias'];
 	
 	
 
 
  

 	$checked = '';
 	$optHiddenCsRefer = 'hidden';
 	$optHiddenTipoLesion = 'hidden';

	//<---------------------------------------------------------------------------------------------------> 
	


if($error_solicitud != '' && $error_solicitud > 0)die("No se puede solicitar una cita para Referencias que no existen");
if($id_cita != '')die("No se puede solicitar una cita para Referencias con citas ya registradas");
$disReferTipo='';
$disRefer = ''; $chk = ''; $chkNo = ' checked="checked"'; $sub =''; 
if($Centro_Sal_Refiere != ''){ 
	if($subsec== 0) {
		$sub = ' checked="checked"';
	} else {  $sub =''; $chk = 'checked="checked"';}
	 $disRefer = ' disabled'; $chkNo = ''; //$sub ='';
} 
else { if($subsec== 0) { $chk = ''; $disRefer = ''; $sub = ' checked="checked"';} else {$chk = 'checked="checked"'; $disRefer = '';  $sub =''; } }

//print_r($Centro_Sal_Refiere); die();

if($ver_como_ventana == '1'){
?>
@extends('layouts.app')

@section('title', 'AGENDA CONSULTORIO URGENCIAS')
@section('breadcrumb')
    <li class="active">Urgencias</li>
    <li class="active">Consultorio</li>
@endsection
@section('styles')

<link type="text/css" href="css/bootstrap-timepicker.min.css" />
<script type="text/javascript" src="js/bootstrap-timepicker.min.js">
	/* Será código descontinuado desde *extends('layouts.app') hasta section('content') */
</script>
<style>               
</style>
@endsection

<link rel="stylesheet" href="css/bootstrap.css">
<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/notify.js"></script>
<link rel="stylesheet" href="css/smoothness.datepick.css">

<link rel="stylesheet" href="css/jquery.datepick.css">
<script src="js/jquery.datepick.js"></script>
<script src="js/jquery.datepick-es.js"></script>

@section('content')
<div class="row" >

	<div class="box box-primary" id="objAgendaConsUrgencias" name="objAgendaConsUrgencias" style="">   
            
		<div class="box-header with-border">
			<h3 class="box-title" style="text-align: center !important;"> </h3>
			<div class="box-tools pull-right">
				<button id="cmdCloseEditSolicitud" name="cmdCloseEditSolicitud" type="button" class="btn btn-box-tool" data-widget="collapse" aria-pressed="true"><i class="fa fa-minus"></i></button>
			</div>
		</div>
		<div class="box-body">
<?php }    ?>
<style type="text/css">
	.contiene-svg {
	        width: 20px  !important;
	        height: 20px !important;
	    }

	 .semaforo-svg {
	        width: 100px  !important;
	        height: 100px !important;
	    }

	.tblBase{ width: 100%; }

	.tblTObj{ font-weight: 600; font-size: 14px; width: 50%; }

	.tblsTObj{ font-weight: 600; font-size: 12px; }

	.datepick{ margin: auto; }

	.margen_lr05px{ margin-left: 5px; margin-right: 5px; }

	.margen_lr10px{ margin-left: 10px; margin-right: 10px; }

	.margen_lr20px{ margin-left: 30px; margin-right: 20px; }

	.margen_s05px{ margin-top: 5px; }

	.margen_s10px{ margin-top: 10px; }
	.margen_si10px{ margin-top: 10px; margin-bottom: 10px; }
	.margen_si15px{ margin-top: 15px; margin-bottom: 15px; }
	.margen_si20px{ margin-top: 20px; margin-bottom: 20px; }

	.form-control{ height: 25px; font-size: 12px; padding: 0; }

	.divLbl_border{ -ms-word-break: break-all; word-break:break-all; width: 100%; border: solid 1px #000; font-size: 12px; }

	.divLbl_border_ro{ border: solid 1px #000; border-radius: 7px 7px 7px 7px; background-color: #326ca3; color: #f7ea3b; font-size: 12px; font-weight: 600; text-align: left; }

	.cbo_labels{ color: #000; font-size: 12px; font-weight: 600; vertical-align: middle; padding-left: 50px !important; }

	.tr_cbo_labels{ height: 20px; vertical-align: top; }
	.col-sm-8{ padding:  0px !important;  }
	.col-sm-1 { width:  1.33333333% !important;  }
	form{ margin-bottom: 0px; }

	input[type="radio"]{
		margin-top: 0px;
	}

	.radio label {
		min-height: 14px;
		font-weight: 600;
	}

	
	#tbl_Horario th{ text-align: center; background-color: #326ca3; color: #f5f5f5; }
	
	.th{ color: #cccccc8f !important; }
	.th:hover{
	}

	.btn-default:hover, .btn-default:active, .btn-default.hover{ font-weight: 600; }

	#tbl_Horario_tb tr td{
		padding: 3px 8px;
	}

	#mnuCtx_Agenda #tblCTmenu tr:hover{
		font-weight: 600;	
		cursor: pointer;
		color: #00631b;
		font-size: 16px;	
	}

	#mnuCtx_Agenda #tblCTmenu tr:active{		
		font-size: 16px;		
		background-color: #848587;
		color: #fff;
	}

	input.disabled-radio {
  pointer-events:none;
  opacity:0.5;
}


 #g-table tbody tr > td{
                 
                    height: 30px;
                    padding-left: 3px;
                }
                #g-table{
                    padding-left: 40px;
                    margin-top: 20px;

                }
                .espacio{
					height:10px;
				}
.table-striped>tbody>tr:nth-child(odd)>td, 
      .table-striped>tbody>tr:nth-child(odd)>th {
       /*background-color: #C9FFE5;*/
      }
      .table-striped>tbody>tr:nth-child(even)>td, 
      .table-striped>tbody>tr:nth-child(even)>th {
     /*  background-color: #ccc0; */
      }
      .table-striped>thead>tr>th {
         background-color: #eee;
      }


 #frm_somatometria {
    margin-bottom: 0px !important; 
    width: 900px  !important;
    align-content : center  !important;
    margin: auto  !important;
} 
#tbl_Horario .contiene-svg:hover, .contiene-svg:active { 
  color:#000;
 	-webkit-transform: scale(1.3);
	-moz-transform: scale(1.3);
	-ms-transform: scale(1.3);
	-o-transform: scale(1.3);
	transform: scale(1.5); 
}

#tbl_proceso_add_cita {
    padding-left: 30px;
    padding-right: 30px;
}


</style> 

<div class="row" id="div_proceso_agenda_urgencias" name="div_proceso_agenda_urgencias">
	<div class="row" id="tblAgenda_archivo_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!}">
					<input type="hidden" name="h_id_cita" id="h_id_cita" value="">


	
					<input type="hidden" name="h_dia_actual" id="h_dia_actual" value="">					
				  <div class="col-sm-2">				  	
				  	<table class="tblBase margen_lr20px margen_s05px">
				  	  <tr>
				  	    <td>
				  	      <div>
						  	<div id="fecha" name="fecha" style="text-align: center; {{ $disable }}">
						  		<button class="btn btn-info" onclick="
						  		$('#tblAgenda_archivo_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!} #fecha').datepick().datepick('setDate', new Date());">Cargar control de fecha</button>
						  	</div>
						  </div>
				  	    </td>
				  	  </tr>
				  	</table>
				  	

				  

						<table class="tblBase margen_lr20px margen_s05px">
				 		
				  		<tr><td width="10px">&nbsp;</td><td class="tblTObj" style="text-align: center;">Folio</td><td id="td_id_consultorio" hidden></td><td width="10px">&nbsp;</td></tr>
				  	<tr><td width="10px">&nbsp;</td><td> <input type="text" name="txt_folio" id="txt_folio" disabled> </td><td width="10px">&nbsp;</td></tr>
				  	</table>	
				  	
				  	<table class="tblBase margen_lr20px margen_s05px">
				 		
				  		<tr><td width="10px">&nbsp;</td><td class="tblTObj" style="text-align: center;">Motivo de ingreso</td><td id="td_id_consultorio" hidden></td><td width="10px">&nbsp;</td></tr>
				  	<tr><td width="10px">&nbsp;</td><td> <textarea id="txt_Motivo" name="txt_Motivo" rows="5" cols="25" placeholder="Capture el motivo de ingreso" disabled></textarea> </td><td width="10px">&nbsp;</td></tr>
				  	</table>	

				 
				  			

				  	

	

				

	

				  </div>				  	
				  <div class="col-sm-1"></div>





				  <div class="col-sm-8 alinear_centrado" style=" /*border: 1px solid #000; display: flex; min-height: 20px;*/">
				  	<table id="tbl_options" name="tbl_options" style="width: 100%; height: 24px;">
				  		
							<tbody>
							<tr>
							<td> 
								<div class="col-sm-12 form-group form-group-sm" id="servicioUrg" name="servicioUrg" style="
   									 padding-left: inherit;">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon" id="sizing-addon3" style="background: #eee"><strong>Servicio</strong>
                          
                        </span>
                      
                        <div id="edit_vCat_ServiciosUrg" name="edit_vCat_ServiciosUrg">
                          {!! $var->getView('Catalogos\VistasController@vCat_todosServicioUrgencias', ''); !!}  
                				</div>
                    </div>
                  </div>
							</td>
							<td>
								<div class="col-sm-12 form-group form-group-sm" id="prioridadUrg" name="prioridadUrg" style="
   									 padding-left: inherit;">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon" id="sizing-addon3" style="background: #eee"><strong>Prioridad</strong>
                          
                        </span>
                      
                        <div id="edit_vCat_PrioridadUrg" name="edit_vCat_PrioridadUrg">
                          {!! $var->getView('Catalogos\VistasController@vCat_PrioridadUrgencia', ''); !!}  
                				</div>
                    </div>
                  </div>
							</td>
							<td>
								<div class="col-sm-12 form-group form-group-sm" id="atencionUrg" name="atencionUrg" style="
   									 padding-left: inherit;">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon" id="sizing-addon3" style="background: #eee"><strong>Atención</strong>
                        </span>
                        <div id="edit_vCat_AtencionUrg" name="edit_vCat_AtencionUrg">
                        	{!! $var->getView('Catalogos\VistasController@vCat_AtencionUrgencia', ''); !!}  
                       	</div>
                    </div>
                </div>
							</td>
							</tr>
							</tbody>
							</table>
				  	<table style="font-size: 12px; margin: 0px; " class="table table-striped table-bordered table-hover" id="tbl_Horario">
				  	<thead>
				  		<tr><th style="width: 70px;">HORA</th><th> 
				  			<table width="100%" id="tbl_Dias" name="tbl_Dias">
				  				<tr>
				  					<th class="" data-dia="0" style="color: #fff !important;">PACIENTE</th>				  					
				  				</tr>
				  			</table>				  			
				  		</th>
							<th> 
				  			<table width="100%" id="tbl_Opciones" name="tbl_Opciones">
				  				<tbody><tr>
				  					<th class="th" data-dia="0" style="color: #fff !important;">Opciones</th>				  					
				  				</tr>
				  			</tbody></table>				  			
				  		</th>
				  	</tr></thead>
				  		<tbody id="tbl_Horario_tb"></tbody>
		    		</table>
					<div id="mnuCtx_Agenda" class="tblBase margen_lr05px" style="border: solid 1px #c3c5c9; border-radius: 3px 3px 0px 3px; width: 150px; position: absolute; left: 150px; display: none; background-color: #fff; z-index: 1000;">
						<i class="fa fa-window-close" id="mnuCtx_Agenda_close" aria-hidden="true" style="position: absolute; top: 1px; right: 5px; cursor: pointer;"></i>						
						
					
					</div>
				  </div>		  
				  
				</div> 
				

	
				<div class="row" id="tbl_proceso_add_cita" name="tbl_proceso_add_cita"></div>
			
			</div>
 <footer><p class="text-center"><button type="button" class="btn btn-danger" id="btn_salir" name="btn_salir"><i class="fa fa-arrow-left" aria-hidden="true"></i>&nbsp;Regresar</button> </p></footer>
	<div class="modal fade" id="defaultModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"  style="background-color: fff;">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div id="modalContent" class="modal-content">

            </div>
        </div>
    </div>
			<script type="text/javascript">


			var dias = ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"];
			var fAct = new Date();
			var fechaActual = new Date();
			var clickTbl_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!} = 0;
			var hora_ini_segmento_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!}= '';

			var parametros_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!} = [];

			var formatDate = function(fecha_in, formato_in) {
				var fecha = "";

				var dia = pad(fecha_in[0].getDate());
				var mes = pad(fecha_in[0].getMonth()+1);
				var anio = pad(fecha_in[0].getFullYear());

				if(dia.length <2)dia = "0"+dia;
				if(mes.length <2)mes = "0"+mes;

				//fecha = [dia, mes , anio].join('/');

				
				switch(formato_in) {
						case "dd-mm-YYYY":
		    			fecha = [dia, mes , anio].join('-');
		    		break;
		  				case "dd-mm-YY":
		  				anio = anio.substring(2);
		    			fecha = [dia, mes , anio].join('-');
		    		break;		
		    			case "dd/mm/YY":
		  				anio = anio.substring(2);
		    			fecha = [dia, mes , anio].join('/');
		    		break;	
		    			case "nd":		  				
		    			fecha = ''+fecha_in[0].getDay();
		    		break;		
		  			default:
		    				fecha = [dia, mes , anio].join('/');
		    		break;
				}

				return fecha;
					
			};

		setTimeout(function(){
				$("#tblAgenda_archivo_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!} #fecha").datepick({
				  onSelect: function() {
				  	var fecha = $(this).datepick().datepick("getDate");
				  	var nomObj = "tblAgenda_archivo_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!}";
				  	
				  	$("#"+nomObj+" #h_dia_actual").val(formatDate(fecha, ""));
				  	fechaActual = $(this).datepick().datepick("getDate");

				 	$('#objAgendaConsUrgencias #btn_salir').addClass('hidden'); 
					getAgenda_ConsultaUrgencias();


			     

				    
				  }
			
				

				}).datepick("setDate", fechaActual); // Asignar fecha del dia por default	
				
			}, 2000); 

		// validaciones agenda recepcion de urgencias
			

		var getAgenda_ConsultaUrgencias = function(){  // 07 Jun 2024 . Función para recuperar la agenda de urgencias para recepcion
				
		    	var nomObj_s = "tblAgenda_archivo_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!}"; var nomObj = "#"+nomObj_s;				
		    
		    	var fecha = $(nomObj+" #h_dia_actual").val();		    	
		    
		    	var centro_sal = {!! $Centro_Sal !!}; // pruebas

		    	$(nomObj).css("display", "revert");
		    	/*
				    servicio: xsd:string
				    prioridad: xsd:string
				    atencion: xsd:string
				    Ver_urgencia: xsd:string
    			*/
		    	
		    	var servicio = $("#servicioUrg #edit_vCat_ServiciosUrg #vCat_ServicioUrgencias").val();
		    	var prioridad = $("#prioridadUrg #edit_vCat_PrioridadUrg #vCat_PrioridadUrgencia").val();	
		    	var atencion = $("#atencionUrg #edit_vCat_AtencionUrg #vCat_AtencionUrgencia").val();			 
		    


		    	jqGetAjaxShort("Urgencias_getAgenda_Consultorio", nomObj_s+" #tbl_Horario_tb", { "centro_sal" : centro_sal, "fecha" : fecha, "servicio": servicio, "prioridad": prioridad, "atencion": atencion});

		    		if( typeof recargarBusqueda !== 'undefined' && jQuery.isFunction( recargarBusqueda ) ) {
					  
					    
				
					    setTimeout(recargarBusqueda, 500);
					}
			};


			$(document).on('change', '#servicioUrg #edit_vCat_ServiciosUrg #vCat_ServicioUrgencias', function () { 
     			getAgenda_ConsultaUrgencias();

      });

      $(document).on('change', '#prioridadUrg #edit_vCat_PrioridadUrg #vCat_PrioridadUrgencia', function () { 
     			getAgenda_ConsultaUrgencias();
      });

      $(document).on('change', '#atencionUrg #edit_vCat_AtencionUrg #vCat_AtencionUrgencia', function () { 
     			getAgenda_ConsultaUrgencias();
      });



			var consultar_HojaFrontal = function(id_cita, clave_pac, centro_sal){ 

			
			var nomObj_s = "tblAgenda_archivo_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!}"; 
			var nomObj = "#"+nomObj_s;	
			$(nomObj).css("display", "none");

			$('#objAgendaConsUrgencias #btn_salir').removeClass('hidden');            
				jqGetAjaxShort("Consulta_revisarNotas","tbl_proceso_add_cita", {"clave_pac": clave_pac, "todas": '0'});
  	
			};

			function editarRegistroPaciente(clave_pac) {

				var nomObj_s = "tblAgenda_archivo_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!}"; 
				var nomObj = "#"+nomObj_s;	
				$(nomObj).css("display", "none");

 				$('#objAgendaConsUrgencias #btn_salir').removeClass('hidden');   
  			var parametros = { "clave_pac": clave_pac, "tipoBusqueda": '6', "readOnly":'1'};

    		jqGetAjaxShort("ConsultaExterna_getLstPaciente","tbl_proceso_add_cita", parametros);
      	$('#tbl_proceso_add_cita').show(200);
      	SmoothScrollTo('#tbl_proceso_add_cita');
    };



      var iniciar_consulta = function(id_cita, clave_pac, centro_sal,id_med_con){ 

			// {clave_pac: clave_pac, id_cita: id_cita, centro_sal: centrosaludagenda, id_especialidad: id_especialidad, id_doc: id_doc, id_med_con: id_med_con}
			
			var nomObj_s = "tblAgenda_archivo_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!}"; 
			var nomObj = "#"+nomObj_s;	
			$(nomObj).css("display", "none");
			var id_especialidad = 2;

			$('#objAgendaConsUrgencias #btn_salir').addClass('hidden');    

				jqGetAjaxShort("agenda_addFolioConsulta","tbl_proceso_add_cita", {"clave_pac": clave_pac, "id_cita": id_cita, "centro_sal": centro_sal, "id_especialidad": id_especialidad, "id_doc": {!! $id_doc !!}, 
					"id_med_con": {!! $id_med_con !!} });
  	
			};

      
		var imprimirNota = function(folio, clave_pac, centro_sal){ 

			// {clave_pac: clave_pac, id_cita: id_cita, centro_sal: centrosaludagenda, id_especialidad: id_especialidad, id_doc: id_doc, id_med_con: id_med_con}
			
			var nomObj_s = "tblAgenda_archivo_{!! $Id_Solicitud !!}_{!! $Centro_Sal !!}_{!! $Clave_Pac !!}"; 
			var nomObj = "#"+nomObj_s;	
			//$(nomObj).css("display", "none");
			var id_especialidad = 2;

			$('#objAgendaConsUrgencias #btn_salir').addClass('hidden');    

			if(folio==0){
				$.notify('El paciente aún no cuenta con nota médica capturada', 'error');	
				return false;
			}
			jqGetAjax_Modal("Consulta_revisarNotas_NU_pdf","modalContent", {'folio': folio, 'centro_sal': centro_sal, 'imprimeObjeto': '1' }, 'defaultModal');

			SmoothScrollTo(nomObj);
  	
		};




		


		$(document).on('click', '#objAgendaConsUrgencias #btn_salir', function () {    
     
      		$('#objAgendaConsUrgencias #btn_salir').addClass('hidden'); 
		    	//pruebas
		  	document.getElementById("tbl_proceso_add_cita").innerHTML = "";   
		    getAgenda_ConsultaUrgencias(); 

    });


	$(document).on('click', '#div_proceso_agenda_urgencias #tbl_Horario .espacios_agenda', function () {    
     
      	$tr = $(this);
     
      	$("#div_proceso_agenda_urgencias #txt_Motivo").val($tr.data('motivo'));
      	$("#div_proceso_agenda_urgencias #txt_folio").val($tr.data('folio'));
          

    });

	// Validaciones para hoja de urgencias desde consultorio de urg.
    $(document).on('change', '#div_proceso_agenda_urgencias #impHojaUrg #vCat_MotivoAltaUrgencias', function () { 
      var id_motivoalta = $(this).val();
    
      switch(id_motivoalta) {
       case '5' :
        $('#div_proceso_agenda_urgencias #divDefMP').removeClass('hidden');
        $('#div_proceso_agenda_urgencias #impHojaUrg #destinoAlta').addClass('hidden'); 
        break;
       case '3' :
         $('#div_proceso_agenda_urgencias #destinoAlta').removeClass('hidden'); 
        break;

        default:
          $('#div_proceso_agenda_urgencias #divDefMP').addClass('hidden');
          $('#div_proceso_agenda_urgencias #divFolioDefuncion').addClass('hidden');
          
          $('#div_proceso_agenda_urgencias #impHojaUrg #destinoAlta').addClass('hidden'); 
      }
    
      });


  
    $(document).on('change', 'input[type=radio][name=optMP]', function (event) {
    
      switch($(this).val()) {
       case '2' :
         $('#div_proceso_agenda_urgencias #divFolioDefuncion').removeClass('hidden');
        break;

        default:
          $('#div_proceso_agenda_urgencias #divFolioDefuncion').addClass('hidden');
      }     
    });

      $(document).on('change', 'input[type=radio][name=mujerEdadFertil]', function (event) {
     
      switch($(this).val()) {
       case '1' :
         $('#div_proceso_agenda_urgencias #divSemanasGest').removeClass('hidden');
        break;

        default:
          $('#div_proceso_agenda_urgencias #divSemanasGest').addClass('hidden');
      }     
    });


    $(document).on('change', '#div_proceso_agenda_urgencias #cnt_menores_edad #vCat_Edas', function () { 
      var id_Edas = $(this).val();
      var txtSobres = document.getElementById("txtSobres");
      
    	


      switch(id_Edas) {
       case '1' :
        txtSobres.setAttribute("max",20);
    	txtSobres.setAttribute("min",1);
    	$('#div_proceso_agenda_urgencias #cnt_menores_edad #txtSobres').val('1'); 
        break;
       case '2' :
      	txtSobres.setAttribute("max",20);
    	txtSobres.setAttribute("min",1);
    	$('#div_proceso_agenda_urgencias #cnt_menores_edad #txtSobres').val('1'); 
        break;
       case '3' :
        txtSobres.setAttribute("max",0);
    	txtSobres.setAttribute("min",0);
         $('#div_proceso_agenda_urgencias #cnt_menores_edad #txtSobres').val('0'); 
        break; 

        default:
           $('#div_proceso_agenda_urgencias #cnt_menores_edad #txtSobres').val('0'); 
      }
    
     });


    $(document).on('click', '#div_proceso_agenda_urgencias #impHojaUrg #btn_guardar_hojaUrg', function () {    
     var mujer_fertil = $('input:radio[name=mujerEdadFertil]:checked').val();
       if (mujer_fertil === undefined) {
          mujer_fertil = $('#div_proceso_agenda_urgencias #tbl_proceso_add_cita #h_mujer').val();
       }

      // validar si motivo de alta es defuncion capture MP
      var motivoalta= $('#div_proceso_agenda_urgencias #impHojaUrg #vCat_MotivoAltaUrgencias').val();
      var optMP = $('input:radio[name=optMP]:checked').val();
      var folioDef= $('#div_proceso_agenda_urgencias #divFolioDefuncion #folioDefuncion').val();
      var cs_destinoAlta =  $('#div_proceso_agenda_urgencias #impHojaUrg #vcat_centrosalud_refe').val();
      if (optMP === undefined) {
          optMP = '0';
      }
      
      if (motivoalta == '5'  && optMP == '0'){
        $.notify('Seleccione si dió aviso al MP por Defunción.', "error");
        $('#divDefMP #optMP').focus();
        return false;
      }

      if (motivoalta == '5'  && optMP == '2'  && (folioDef =='0' || folioDef.length < 9)){
        $.notify('Capture el Folio de Defunción Correcto.', "error");
        $('#divFolioDefuncion #folioDefuncion').focus();
        return false;
      }

       if (motivoalta == '3'  && cs_destinoAlta == '') {
        $.notify('Capture la unidad médica a la que fué enviado.', "error");
        $('#destinoAlta #vcat_centrosalud_refe').focus();
        return false;
      }
     
      if (motivoalta == '5'  && optMP == '1'){
        folioDef ='0';
      }
      if (motivoalta != '3' ){
        cs_destinoAlta ='0';
      }


       var iras =  $('#div_proceso_agenda_urgencias #cnt_menores_edad #vCat_Iras').val();
       var edas =  $('#div_proceso_agenda_urgencias #cnt_menores_edad #vCat_Edas').val();
       var sobres =   $('#div_proceso_agenda_urgencias #cnt_menores_edad #txtSobres').val(); 
     
 
      var parametros = {        
           id_tipourgencia: $('#div_proceso_agenda_urgencias #impHojaUrg #vCat_TipoUrgencia').val(),
           id_motivoatencion: $('#div_proceso_agenda_urgencias #impHojaUrg #vCat_MotivoAtencionUrgencias').val(),
           id_tipodecama: $('#div_proceso_agenda_urgencias #impHojaUrg #vCat_TipoDeCamaUrgencias').val(),
           id_motivoalta: $('#div_proceso_agenda_urgencias #impHojaUrg #vCat_MotivoAltaUrgencias').val(),
           mujer_fertil: mujer_fertil,
           semanasGest: $('#div_proceso_agenda_urgencias #impHojaUrg #divSemanasGest #edadGesta').val(),
           folio_nota: $('#div_proceso_agenda_urgencias #tbl_proceso_add_cita #h_folio').val(),
           centro_sal: '{!! $Centro_Sal !!}',
           MP: optMP,
           folioDef: folioDef,
           centro_sal_destino: cs_destinoAlta, iras: iras, edas: edas, sobres: sobres };  
        
     jqGetAjaxShort("upd_hojaUrgencias","divProcesaNUrg", parametros);  
              

    });

  


    // terminan validaciones hoja urg



					  
</script>


<?php if($ver_como_ventana != '1')die(); ?>			
		</div>
    </div>
</div>
@endsection

